Package com.databricks.jdbc.api.impl.arrow

## Class ChunkDownloader

- java.lang.Object
- - com.databricks.jdbc.api.impl.arrow.ChunkDownloader

    public class ChunkDownloader
    extends Object

Class to manage Arrow chunks and fetch them on proactive basis.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `downloadLinks​(long chunkIndexToDownloadLink)`
`void` `downloadProcessed​(long chunkIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### downloadProcessed

    public void downloadProcessed​(long chunkIndex)

#### downloadLinks

    public void downloadLinks​(long chunkIndexToDownloadLink)
                       throws DatabricksSQLException

Throws:
  `DatabricksSQLException`